ManifestCommitterFactory (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.lib.output.committer.manifest, class: ManifestCommitterFactory

Package org.apache.hadoop.mapreduce.lib.output.committer.manifest

# Class ManifestCommitterFactory

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.mapreduce.lib.output.PathOutputCommitterFactory
org.apache.hadoop.mapreduce.lib.output.committer.manifest.ManifestCommitterFactory

All Implemented Interfaces:
  `Configurable`

Direct Known Subclasses:
  `AzureManifestCommitterFactory`

@Public @Evolving public class ManifestCommitterFactory extends PathOutputCommitterFactory
This is the committer factory to register as the source of committers for the job/filesystem schema.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  Name of this factory.

  ### Fields inherited from class org.apache.hadoop.mapreduce.lib.output.PathOutputCommitterFactory

  `COMMITTER_FACTORY_CLASS, COMMITTER_FACTORY_DEFAULT, COMMITTER_FACTORY_SCHEME, COMMITTER_FACTORY_SCHEME_PATTERN, FILE_COMMITTER_FACTORY, NAMED_COMMITTER_CLASS, NAMED_COMMITTER_FACTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManifestCommitterFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ManifestCommitter`
  `createOutputCommitter(Path outputPath, TaskAttemptContext context)`
  Create an output committer for a task attempt.

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.output.PathOutputCommitterFactory

  `createCommitter, createFileOutputCommitter, getCommitterFactory`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    Name of this factory.

- ## Constructor Details

  - ### ManifestCommitterFactory

    public ManifestCommitterFactory()

- ## Method Details

  - ### createOutputCommitter

    public ManifestCommitter createOutputCommitter(Path outputPath, TaskAttemptContext context) throws IOException
    Description copied from class: `PathOutputCommitterFactory`
    Create an output committer for a task attempt.
    Overrides:
      `createOutputCommitter` in class `PathOutputCommitterFactory`
    Parameters:
      `outputPath` - output path. This may be null.
      `context` - context
    Returns:
      a new committer
    Throws:
      `IOException` - problems instantiating the committer